Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234434 - Broken multi-lib dependency in FC6 update
Summary: Broken multi-lib dependency in FC6 update
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: poppler
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-29 07:09 UTC by Michael Schwendt
Modified: 2013-01-10 04:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-06 19:26:25 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2007-03-29 07:09:08 UTC
source rpm: poppler-0.5.4-5.fc6.src.rpm
package: poppler-devel - 0.5.4-5.fc6.i386 from fedora-core-updates-6-x86_64
  unresolved deps: 
     libpoppler-qt.so.1

poppler-qt.i386 is not available for x86_64.

Comment 1 Jonathan Underwood 2007-05-05 12:46:41 UTC
Yup:

yum install poppler-devel
Loading "fastestmirror" plugin
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
Loading mirror speeds from cached hostfile
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package poppler-devel.x86_64 0:0.5.4-5.fc6 set to be updated
---> Package poppler-devel.i386 0:0.5.4-5.fc6 set to be updated
--> Running transaction check
--> Processing Dependency: libpoppler-qt.so.1 for package: poppler-devel
--> Processing Dependency: libpoppler-glib.so.1 for package: poppler-devel
--> Processing Dependency: libpoppler.so.1 for package: poppler-devel
--> Processing Dependency: libpoppler-qt.so.1()(64bit) for package: poppler-devel
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package poppler-qt.x86_64 0:0.5.4-5.fc6 set to be updated
---> Package poppler.i386 0:0.5.4-2.fc6 set to be updated
--> Running transaction check
--> Processing Dependency: libpoppler-qt.so.1 for package: poppler-devel
--> Finished Dependency Resolution
Error: Missing Dependency: libpoppler-qt.so.1 is needed by package poppler-devel


Please can you fix this for FC6. Not sure if this also affects the F7 packages,
don't have access to a F7T4 machine right now.

Comment 2 Jonathan Underwood 2007-05-15 11:12:47 UTC
Any progress on this? 

Comment 3 Jesse Keating 2007-05-15 15:06:18 UTC
Adding Luke to CC, still need to investigate what needs to be done, been busy
with F7 stuff :(

Comment 4 Bug Zapper 2008-04-04 06:43:17 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 5 Bug Zapper 2008-05-06 19:26:23 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.